%global common_desc \
The culmus-fonts package contains fonts for the display of\
Hebrew from the Culmus project.
Name:                culmus-fonts
Version:             0.130
Release:             14
Summary:             Fonts for Hebrew from Culmus project
License:             GPLv2
URL:                 http://culmus.sourceforge.net
Source0:             http://downloads.sourceforge.net/culmus/culmus-%{version}.tar.gz
Source1:             66-culmus-aharoni-clm.conf
Source2:             66-culmus-caladings-clm.conf
Source3:             65-culmus-david-clm.conf
Source4:             66-culmus-drugulin-clm.conf
Source5:             66-culmus-ellinia-clm.conf
Source6:             66-culmus-frank-ruehl-clm.conf
Source7:             66-culmus-miriam-clm.conf
Source8:             66-culmus-miriam-mono-clm.conf
Source9:             66-culmus-nachlieli-clm.conf
Source10:            66-culmus-hadasim-clm.conf
Source11:            66-culmus-keteryg.conf
Source12:            66-culmus-simple-clm.conf
Source13:            66-culmus-stamashkenaz-clm.conf
Source14:            66-culmus-stamsefarad-clm.conf
Source15:            66-culmus-shofar.conf
Source16:            http://downloads.sourceforge.net/culmus/culmus-type1-0.121.tar.gz
Obsoletes:           culmus-fonts < 0.102-1
Source50:            culmus-aharoni-clm.metainfo.xml
Source51:            culmus-caladings-clm.metainfo.xml
Source52:            culmus-david-clm.metainfo.xml
Source53:            culmus-drugulin-clm.metainfo.xml
Source54:            culmus-ellinia-clm.metainfo.xml
Source55:            culmus-frank-ruehl-clm.metainfo.xml
Source56:            culmus-hadasim-clm.metainfo.xml
Source57:            culmus-keteryg.metainfo.xml
Source58:            culmus-miriam-clm.metainfo.xml
Source59:            culmus-miriam-mono-clm.metainfo.xml
Source60:            culmus-nachlieli-clm.metainfo.xml
Source61:            culmus-simple-clm.metainfo.xml
Source62:            culmus-stamashkenaz-clm.metainfo.xml
Source63:            culmus-stamsefarad-clm.metainfo.xml
Source64:            culmus-yehuda-clm.metainfo.xml
Source65:            culmus-shofar.metainfo.xml
Source66:            culmus.metainfo.xml
BuildArch:           noarch
BuildRequires:       fontpackages-devel

%description
%common_desc
Meta-package of Culmus fonts which installs various families of culmus project.

%package common
Summary:             Common files of culmus-fonts
Requires:            fontpackages-filesystem

%description common
%common_desc
This package consists of files used by other %{name} packages.

%package -n culmus-aharoni-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-aharoni-clm-fonts
%common_desc
%_font_pkg -n aharoni-clm -f 66-culmus-aharoni-clm.conf AharoniCLM-*.afm AharoniCLM-*.pfa
%{_datadir}/appdata/culmus-aharoni-clm.metainfo.xml

%package -n culmus-caladings-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-caladings-clm-fonts
%common_desc
%_font_pkg -n caladings-clm -f 66-culmus-caladings-clm.conf CaladingsCLM.afm CaladingsCLM.pfa
%{_datadir}/appdata/culmus-caladings-clm.metainfo.xml

%package -n culmus-david-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-david-clm-fonts
%common_desc
%_font_pkg -n david-clm -f 65-culmus-david-clm.conf DavidCLM-*.ttf DavidCLM-*.afm DavidCLM-*.pfa
%{_datadir}/appdata/culmus-david-clm.metainfo.xml

%package -n culmus-drugulin-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-drugulin-clm-fonts
%common_desc
%_font_pkg -n drugulin-clm -f 66-culmus-drugulin-clm.conf DrugulinCLM-*.afm DrugulinCLM-*.pfa
%{_datadir}/appdata/culmus-drugulin-clm.metainfo.xml

%package -n culmus-ellinia-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-ellinia-clm-fonts
%common_desc
%_font_pkg -n ellinia-clm -f 66-culmus-ellinia-clm.conf ElliniaCLM-*.afm ElliniaCLM-*.pfa
%{_datadir}/appdata/culmus-ellinia-clm.metainfo.xml

%package -n culmus-frank-ruehl-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-frank-ruehl-clm-fonts
%common_desc
%_font_pkg -n frank-ruehl-clm -f 66-culmus-frank-ruehl-clm.conf FrankRuehlCLM-*.ttf  FrankRuehlCLM-*.afm FrankRuehlCLM-*.pfa
%{_datadir}/appdata/culmus-frank-ruehl-clm.metainfo.xml

%package -n culmus-hadasim-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-hadasim-clm-fonts
%common_desc
%_font_pkg -n hadasim-clm -f 66-culmus-hadasim-clm.conf HadasimCLM-*.ttf
%{_datadir}/appdata/culmus-hadasim-clm.metainfo.xml

%package -n culmus-keteryg-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-keteryg-fonts
%common_desc
%_font_pkg -n keteryg -f 66-culmus-keteryg.conf KeterYG-*.ttf
%{_datadir}/appdata/culmus-keteryg.metainfo.xml

%package -n culmus-miriam-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-miriam-clm-fonts
%common_desc
%_font_pkg -n miriam-clm -f 66-culmus-miriam-clm.conf MiriamCLM-*.ttf MiriamCLM-*.afm MiriamCLM-*.pfa
%{_datadir}/appdata/culmus-miriam-clm.metainfo.xml

%package -n culmus-miriam-mono-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-miriam-mono-clm-fonts
%common_desc
%_font_pkg -n miriam-mono-clm -f 66-culmus-miriam-mono-clm.conf MiriamMonoCLM-*.ttf MiriamMonoCLM-*.afm MiriamMonoCLM-*.pfa
%{_datadir}/appdata/culmus-miriam-mono-clm.metainfo.xml

%package -n culmus-nachlieli-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-nachlieli-clm-fonts
%common_desc
%_font_pkg -n nachlieli-clm -f 66-culmus-nachlieli-clm.conf NachlieliCLM-*.afm NachlieliCLM-*.pfa
%{_datadir}/appdata/culmus-nachlieli-clm.metainfo.xml

%package -n culmus-simple-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-simple-clm-fonts
%common_desc
%_font_pkg -n simple-clm -f 66-culmus-simple-clm.conf SimpleCLM-*.ttf
%{_datadir}/appdata/culmus-simple-clm.metainfo.xml

%package -n culmus-stamashkenaz-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-stamashkenaz-clm-fonts
%common_desc
%_font_pkg -n stamashkenaz-clm -f 66-culmus-stamashkenaz-clm.conf StamAshkenazCLM.ttf
%{_datadir}/appdata/culmus-stamashkenaz-clm.metainfo.xml

%package -n culmus-stamsefarad-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-stamsefarad-clm-fonts
%common_desc
%_font_pkg -n stamsefarad-clm -f 66-culmus-stamsefarad-clm.conf StamSefaradCLM.ttf
%{_datadir}/appdata/culmus-stamsefarad-clm.metainfo.xml

%package -n culmus-yehuda-clm-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-yehuda-clm-fonts
%common_desc
%_font_pkg -n yehuda-clm YehudaCLM-*.afm YehudaCLM-*.pfa
%{_datadir}/appdata/culmus-yehuda-clm.metainfo.xml

%package -n culmus-shofar-fonts
Summary:             Fonts for Hebrew from Culmus project
Requires:            %{name}-common = %{version}-%{release}

%description -n culmus-shofar-fonts
%common_desc
%_font_pkg -n shofar -f 66-culmus-shofar.conf Shofar*.ttf
%{_datadir}/appdata/culmus-shofar.metainfo.xml

%prep
%setup -q -n culmus-%{version}
%setup -c -q -a 16
mv culmus-%{version}/* .
mv culmus-type1-0.121/* .

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}
install -m 0644 -p *.afm %{buildroot}%{_fontdir}
install -m 0644 -p *.pfa %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-aharoni-clm.conf
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-caladings-clm.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/65-culmus-david-clm.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-drugulin-clm.conf
install -m 0644 -p %{SOURCE5} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-ellinia-clm.conf
install -m 0644 -p %{SOURCE6} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-frank-ruehl-clm.conf
install -m 0644 -p %{SOURCE7} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-miriam-clm.conf
install -m 0644 -p %{SOURCE8} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-miriam-mono-clm.conf
install -m 0644 -p %{SOURCE9} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-nachlieli-clm.conf
install -m 0644 -p %{SOURCE10} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-hadasim-clm.conf
install -m 0644 -p %{SOURCE11} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-keteryg.conf
install -m 0644 -p %{SOURCE12} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-simple-clm.conf
install -m 0644 -p %{SOURCE13} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-stamashkenaz-clm.conf
install -m 0644 -p %{SOURCE14} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-stamsefarad-clm.conf
install -m 0644 -p %{SOURCE15} \
        %{buildroot}%{_fontconfig_templatedir}/66-culmus-shofar.conf
for fconf in 66-culmus-aharoni-clm.conf \
             66-culmus-caladings-clm.conf \
             65-culmus-david-clm.conf \
             66-culmus-drugulin-clm.conf \
             66-culmus-ellinia-clm.conf \
             66-culmus-frank-ruehl-clm.conf \
             66-culmus-miriam-clm.conf \
             66-culmus-miriam-mono-clm.conf \
             66-culmus-nachlieli-clm.conf \
             66-culmus-hadasim-clm.conf \
             66-culmus-keteryg.conf \
             66-culmus-simple-clm.conf \
             66-culmus-stamashkenaz-clm.conf \
             66-culmus-stamsefarad-clm.conf \
             66-culmus-shofar.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done
install -Dm 0644 -p %{SOURCE50} \
        %{buildroot}%{_datadir}/appdata/culmus-aharoni-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE51} \
        %{buildroot}%{_datadir}/appdata/culmus-caladings-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE52} \
        %{buildroot}%{_datadir}/appdata/culmus-david-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE53} \
        %{buildroot}%{_datadir}/appdata/culmus-drugulin-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE54} \
        %{buildroot}%{_datadir}/appdata/culmus-ellinia-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE55} \
        %{buildroot}%{_datadir}/appdata/culmus-frank-ruehl-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE56} \
        %{buildroot}%{_datadir}/appdata/culmus-hadasim-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE57} \
        %{buildroot}%{_datadir}/appdata/culmus-keteryg.metainfo.xml
install -Dm 0644 -p %{SOURCE58} \
        %{buildroot}%{_datadir}/appdata/culmus-miriam-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE59} \
        %{buildroot}%{_datadir}/appdata/culmus-miriam-mono-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE60} \
        %{buildroot}%{_datadir}/appdata/culmus-nachlieli-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE61} \
        %{buildroot}%{_datadir}/appdata/culmus-simple-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE62} \
        %{buildroot}%{_datadir}/appdata/culmus-stamashkenaz-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE63} \
        %{buildroot}%{_datadir}/appdata/culmus-stamsefarad-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE64} \
        %{buildroot}%{_datadir}/appdata/culmus-yehuda-clm.metainfo.xml
install -Dm 0644 -p %{SOURCE65} \
        %{buildroot}%{_datadir}/appdata/culmus-shofar.metainfo.xml
install -Dm 0644 -p %{SOURCE66} \
        %{buildroot}%{_datadir}/appdata/culmus.metainfo.xml

%files common
%doc CHANGES GNU-GPL LICENSE LICENSE-BITSTREAM
%{_datadir}/appdata/culmus.metainfo.xml

%changelog
* Thu Jul 16 2020 yaokai <yaoaki13@huawei.com> - 0.130-14
- package init
